// Package ginrus provides log handling using logrus package.
//
// Based on github.com/stephenmuss/ginerus but adds more options.
package util

import (
	"os"

	"github.com/Sirupsen/logrus"
)

var logger = logrus.New()

func Log() *logrus.Logger {
	if logger == nil {
		logger = logrus.New()
		logger.Level = logrus.DebugLevel
		logger.Out = os.Stderr
	}
	// logging framework
	return logger
}
